<?php

namespace Drupal\diff_store_product\Plugin\Block;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Block\BlockBase;
use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Session\AccountInterface;
use Psr\Container\ContainerInterface;

/**
 * Provides a 'Text' Block.
 *
 * @Block(
 *   id = "diff_store_product_text_block_block",
 *   admin_label = @Translation("Product variations last"),
 *   category = @Translation("ProductsBlock"),
 *   context_definitions = {
 *     "node" = @ContextDefinition("entity:node", required = FALSE, label = @Translation("Node"))
 *   }
 * )
 */
class VariationsOfDroducts extends BlockBase{

  /**
   * {@inheritdoc}
   */
  public function build() {

    $node = $this->getContextValue('node');
    $query = \Drupal::entityQuery('commerce_product');
    $result = $query->execute();
    $articles = \Drupal::entityTypeManager()
      ->getStorage('commerce_product')
     ->loadMultiple($result);
   // $node->id()
    //прохожусь по полученным коммерсам
  foreach ($articles as $article){
  // прохожусь по связам с нодами
    foreach ($article->get('field_products') as $product){


    if ($product->target_id == $node->id()){

      $view_builder = \Drupal::entityTypeManager()->getViewBuilder('commerce_product');
      $rss_output = $view_builder->view($article, 'teaser');
      $output[] = \Drupal::service('renderer')->render($rss_output);

  //    $variables['output'] = \Drupal::service('renderer')->render($rss_output);
  //    $variables['#theme'] = 'commerse_theme';
    }
    }
  }

  return [
    '#theme' => 'commerse_theme',
    '#output' => $output,
  ];
  }
}
